Page MenuHomePhabricator

Specify RADIUS source IP for system login command
Closed, ResolvedPublicFEATURE REQUEST

Description

RADIUS servers could be hardened by only allowing certain IP addresses to connect. As of now the radius client used e.g. for L2TP VPN auth will bind to address *. Incoming connections to the freeradius server will use the nearest interface IP address pointing to the radius server - making it error prone on OSPF networks when a link fails.

See also T828

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

c-po changed the task status from Open to In progress.Apr 18 2019, 3:19 PM
c-po triaged this task as Normal priority.
c-po created this task.
c-po created this object in space S1 VyOS Public.
c-po created this object with edit policy "Custom Policy".
c-po updated the task description. (Show Details)
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Apr 19 2019, 8:24 AM
c-po closed this task as Resolved.Apr 20 2019, 1:45 PM
c-po updated the task description. (Show Details)
c-po removed a project: VyOS 1.2 Crux (VyOS 1.2.2).
c-po changed Version from 1.2.1 to -.
c-po reopened this task as Backport pending.Apr 23 2019, 10:40 AM
c-po closed this task as Resolved.Apr 23 2019, 10:42 AM
c-po moved this task from Needs Triage to Finished on the VyOS 1.2 Crux (VyOS 1.2.2) board.